Cubase 9.5.40 update available

What do you mean FX Chain works ? Are you experiencing same as in the video i posted or can you load fx presets? I did a clean install of 9.5 after upgrading from 8.5 6 weeks ago. It’s never worked since the upgrade. In total limbo waiting for this fix.

confirmed

It’s just one thing after another :blush: :blush: :blush:

http://prntscr.com/l7obpa

Oh dear!!! I think i’ll sit this one out for a while.

I mean I can load FX presets, but Stripe presets not.

I had to dowgrade back to 9.5.30. Im getting crackles during playback with my ur22 mkII and channel strip presets aren loading.

This ones (9.5.40) a lemon and it took since may to get it :angry: (9.5.30 has sticky pan handles but still better than crackling)

Something really has to be done with QA and beta testing because this is ridiculous. :open_mouth:

this is worst update ever !!! do not update !

I wonder what kind of testing steinberg does before release?

Is this “special” update with bugs to force us buying cubase 10? :smiley: just kidding

But, seriously, this update gives more bugs then fixed

I have after translating 9,5,40 audio files in the conductor do not work correctly, does not work synchronization with the project, I want to return to 9,5,30 where to download?

I think what you are showing in the image,
looks like, that this project didn’t get saved correctly.
The time you save it, Cubase crash for some reason.
Please check the file size of this file and compare it with a previous save of the same project (different file),
I think you will see that has much less size in MB.
If yes, that will confirm that the xml (save) file,
at the time you save it, didn’t complete the save procedure correctly.

Confirmed, Strip Presets Fail to Load…
(with Inserts,Eq’s etc, works as expected)

1+

The same here on Mac 10.13.6 :frowning:

https://youtu.be/eiw7nqmN_9E

Here is how looks like when you want to record something with this update

OMG, That is very bad!
I will definately NOT update for sure!!
Thanks for mentioning!

I finished downloading v9.5.4 but given the issues listed, I will not update at this time. Perhaps we need a v9.5.4.5 to fix the new problems introduced!

Im agree… this 9.5.40, should have an urgent new update maintain! this one is very buggy! and things than was stable before, are now very unstable



Why exactly THAT version?

Why is it that every update makes it necessary to ask: Should I update? It was the same with 5.30, which is obviously now considered stable.

So: should I update?

/Magnus

Seems theres a lot of bugs in this update, due to all the comments here… do i dare to install??